> For the complete documentation index, see [llms.txt](https://docs.nosto.com/techdocs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/techdocs/apis/frontend/oss/web-components/shopify-integration.md).

# Shopify Integration

This page lists proven integration patterns and code snippets for the Shopify specific web components such as `DynamicCard`. Since integrations depend a lot based on theme structure the solutions are grouped by Theme name.

## `DynamicCard` Integration

### Dawn theme

The following snippet works as the product card template (e.g. `templates/product.card.liquid`)

```liquid
{% layout none %}
{% render 'card-product', card_product: product %}
```

### Horizon theme

The following snippet works as the product card template (e.g. `templates/product.card.liquid`)

```liquid
{% layout none %}

{% liquid
  # Create the children content manually since we can't use the block system in templates
  capture children
    # Render the card gallery
    render 'card-gallery', closest.product: product, block: 'gallery'
    
    # Render the group with title, price, and swatches
    echo '<div class="layout-panel-flex layout-panel-flex--column gap-style" style="--gap: 4px;">'
    echo '<h3 class="h5">' | append: product.title | append: '</h3>'
    render 'price', product_resource: product
    render 'variant-swatches', product_resource: product
    echo '</div>'
  endcapture
%}

{% render 'product-card', product: product, children: children %}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nosto.com/techdocs/apis/frontend/oss/web-components/shopify-integration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
